Categories:
  - Writing
  - Security
License: AGPL-3.0-only
AuthorName: Standard Notes Ltd.
AuthorEmail: help@standardnotes.org
WebSite: https://standardnotes.org
SourceCode: https://github.com/standardnotes/mobile
IssueTracker: https://github.com/standardnotes/mobile/issues

AutoName: Standard Notes
Description: |-
    Standard Notes is a private place for your notes, thoughts, and life's work.

    — It's simple. Standard Notes is the easiest notes app you'll ever use. That
    means a more reliable, long-term experience.

    — Encrypted writing is your best writing. You never really know the power of
    your words until you experience total-privacy for the first time.

    Standard Notes uses end-to-end encryption so that:
    * We can't read your notes
    * Your ISP can't read your notes
    * Your government can't read your notes

    We like to say, "Write like no one's watching."

    — Extended writing is even better. Standard Notes is free to use on all your
    devices, and comes with encryption and sync out of the box.

    If you’d like to support our development, we offer an extensions package, with
    themes, editors, and 3rd-party syncing options, like Dropbox, Google Drive, and
    daily email backups.

    — And so you know, you and us are in this for the long run. You want your notes
    to last as long as you do, and we want our app to serve you for decades to come.
    Standard Notes is architected on deeply-rooted principles of software longevity
    and business sustainability.

    * We say no to feature requests. Simplicity is the only way forward.
    * A sustainable revenue model creates a healthy, long-term environment.
    * A non-IPO mindset. We choose longevity over growth.

    We're proud to be an open-source notes app. Learn more at standardnotes.org.

RepoType: git
Repo: https://github.com/standardnotes/mobile

Builds:
  - versionName: 3.0.5
    versionCode: 3000050
    commit: 3.0.5
    subdir: android/app/
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y --no-install-recommends -t stretch-backports npm
    init: npm install
    gradle:
      - yes
    rm:
      - vendor/react-native-aes/android/build/
    prebuild:
      - truncate -s 0 ../../node_modules/react-native/local-cli/server/util/external/xsel
      - sed -i -e 's/gradle-4.1/gradle-4.6/' gradle/wrapper/gradle-wrapper.properties
    scanignore:
      - android/build.gradle
      - node_modules/react-native-screens/android/build.gradle
      - vendor/react-native-navigation/android/build.gradle
    scandelete:
      - node_modules/
      - vendor/

  - versionName: 3.0.8
    versionCode: 3000080
    commit: 3.0.8
    subdir: android/app/
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y --no-install-recommends -t stretch-backports npm
    init: npm install
    gradle:
      - yes
    rm:
      - vendor/react-native-aes/android/build/
    prebuild:
      - truncate -s 0 ../../node_modules/react-native/local-cli/server/util/external/xsel
      - sed -i -e 's/gradle-4.1/gradle-4.6/' gradle/wrapper/gradle-wrapper.properties
    scanignore:
      - android/build.gradle
      - node_modules/react-native-screens/android/build.gradle
      - node_modules/react-native-webview/android/build.gradle
      - vendor/react-native-navigation/android/build.gradle
    scandelete:
      - node_modules/
      - vendor/

  - versionName: 3.0.10
    versionCode: 3000103
    commit: 3.0.10
    subdir: android/app/
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y --no-install-recommends -t stretch-backports npm
    init: npm install
    gradle:
      - yes
    rm:
      - vendor/react-native-aes/android/build/
    prebuild:
      - truncate -s 0 ../../node_modules/react-native/local-cli/server/util/external/xsel
      - sed -i -e 's/gradle-4.1/gradle-4.6/' gradle/wrapper/gradle-wrapper.properties
    scanignore:
      - android/build.gradle
      - node_modules/react-native-screens/android/build.gradle
      - node_modules/react-native-webview/android/build.gradle
      - vendor/react-native-navigation/android/build.gradle
    scandelete:
      - node_modules/
      - vendor/

  - versionName: 3.0.16
    versionCode: 3000160
    commit: 3.0.16
    subdir: android/app/
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y --no-install-recommends -t stretch-backports npm
    init: npm install
    gradle:
      - yes
    rm:
      - vendor/react-native-aes/android/build/
    prebuild:
      - truncate -s 0 ../../node_modules/@react-native-community/cli/build/commands/server/external/xsel
      - sed -i -e 's/gradle-4.1/gradle-5.4.1/' gradle/wrapper/gradle-wrapper.properties
    scanignore:
      - android/build.gradle
      - node_modules/react-native-screens/android/build.gradle
      - node_modules/react-native-webview/android/build.gradle
      - vendor/react-native-navigation/android/build.gradle
    scandelete:
      - node_modules/
      - vendor/

  - versionName: 3.0.17
    versionCode: 3000170
    commit: 3.0.17
    subdir: android/app/
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y --no-install-recommends -t stretch-backports npm
    init: npm install
    gradle:
      - yes
    rm:
      - vendor/react-native-aes/android/build/
      - vendor/TrustKit/
    prebuild:
      - truncate -s 0 ../../node_modules/@react-native-community/cli/build/commands/server/external/xsel
      - sed -i -e 's/gradle-4.1/gradle-5.4.1/' gradle/wrapper/gradle-wrapper.properties
    scanignore:
      - android/build.gradle
      - node_modules/react-native-screens/android/build.gradle
      - node_modules/react-native-webview/android/build.gradle
      - vendor/react-native-navigation/android/build.gradle
    scandelete:
      - node_modules/
      - vendor/

  - versionName: 3.6.5
    versionCode: 3000271
    commit: 3.6.5
    subdir: android/app/
    sudo:
      - sysctl fs.inotify.max_user_watches=524288
      - curl -Lo node.tar.gz https://nodejs.org/dist/v14.16.0/node-v14.16.0-linux-x64.tar.gz
      - echo "7212031d7468718d7c8f5e1766380daaabe09d54611675338e7a88a97c3e31b6 node.tar.gz"
        | sha256sum -c -
      - tar xf node.tar.gz
      - cp -a node-v14.16.0-linux-x64/. /usr/local/
      - npm -g install yarn
    init:
      - cd ../..
      - yarn cache clean snjs
      - npm_config_build_from_source=true yarn --force
    patch:
      - bugsnag.patch
    gradle:
      - prod
    srclibs:
      - libsodium@1.0.18
    rm:
      - .gitmodules
    prebuild:
      - $ANDROID_HOME/tools/bin/sdkmanager 'cmake;3.10.2.4988404' > /dev/null
      - sed -i -e '/splits\ {/,+7d' -e '/detox/d' -e '/DETOX_CI/d' build.gradle
      - sed -i -e "s/versionName appVersionName/versionName \"$$VERSION$$\"/" -e "s/versionCode
        appVersionCode/versionCode $$VERCODE$$/" build.gradle
      - sed -i -e "/appVersionName/d" -e "/appVersionCode/d" build.gradle
      - sed -i -e "/@bugsnag\/react-native/d" -e "/bugsnag-sourcemaps/d" ../../package.json
    scanignore:
      - android/build.gradle
      - node_modules/hermes-engine
      - node_modules/jsc-android
      - node_modules/react-native
      - node_modules/detox/android/build.gradle
      - node_modules/detox/android/detox/detox-publishing.gradle
      - node_modules/sn-textview/android/build.gradle
      - node_modules/standard-notes-rn/android/build.gradle
      - node_modules/@react-native-community/async-storage/android/build.gradle
      - node_modules/@react-native-community/masked-view/android/build.gradle
    scandelete:
      - node_modules/
    build:
      - lib="$PWD/../../node_modules/react-native-sodium/libsodium"
      - target_sdk_version=`sed -n -E 's/.*targetSdkVersion = ([0-9]{1,2}).*/\1/p'
        ../build.gradle`
      - pushd $$libsodium$$
      - CC="$$NDK$$/toolchains/llvm/prebuilt/linux-x86_64/bin/armv7a-linux-androideabi${target_sdk_version}-clang"
        CFLAGS="-Os -fPIC -mfloat-abi=softfp -mfpu=vfpv3-d16 -mthumb -marm -march=armv7-a"
        ./configure --prefix=${lib}/libsodium-android-armv7-a/ --host=arm-linux-androideabi
      - make -j${nproc}
      - make install
      - make distclean
      - CC="$$NDK$$/toolchains/llvm/prebuilt/linux-x86_64/bin/aarch64-linux-android${target_sdk_version}-clang"
        CFLAGS="-fPIC -O2" ./configure --prefix=${lib}/libsodium-android-armv8-a/
        --host=aarch64-linux-android
      - make -j${nproc}
      - make install
      - make distclean
      - CC="$$NDK$$/toolchains/llvm/prebuilt/linux-x86_64/bin/i686-linux-android${target_sdk_version}-clang"
        CFLAGS="-fPIC -O2" ./configure --prefix=${lib}/libsodium-android-i686/ --host=i686-linux-android
      - make -j${nproc}
      - make install
      - make distclean
      - CC="$$NDK$$/toolchains/llvm/prebuilt/linux-x86_64/bin/x86_64-linux-android${target_sdk_version}-clang"
        CFLAGS="-fPIC -O2" ./configure --prefix=${lib}/libsodium-android-westmere/
        --host=x86_64-linux-android
      - make -j${nproc}
      - make install
      - popd
    ndk: r21e

  - versionName: 3.6.6
    versionCode: 3000274
    commit: 3.6.6
    subdir: android/app/
    sudo:
      - sysctl fs.inotify.max_user_watches=524288
      - curl -Lo node.tar.gz https://nodejs.org/dist/v14.16.0/node-v14.16.0-linux-x64.tar.gz
      - echo "7212031d7468718d7c8f5e1766380daaabe09d54611675338e7a88a97c3e31b6 node.tar.gz"
        | sha256sum -c -
      - tar xf node.tar.gz
      - cp -a node-v14.16.0-linux-x64/. /usr/local/
      - npm -g install yarn
    init:
      - cd ../..
      - yarn cache clean snjs
      - npm_config_build_from_source=true yarn --force
    patch:
      - bugsnag.patch
    gradle:
      - prod
    srclibs:
      - libsodium@1.0.18
    rm:
      - .gitmodules
    prebuild:
      - $ANDROID_HOME/tools/bin/sdkmanager 'cmake;3.10.2.4988404' > /dev/null
      - sed -i -e '/splits\ {/,+7d' -e '/detox/d' -e '/DETOX_CI/d' build.gradle
      - sed -i -e "s/versionName appVersionName/versionName \"$$VERSION$$\"/" -e "s/versionCode
        appVersionCode/versionCode $$VERCODE$$/" build.gradle
      - sed -i -e "/appVersionName/d" -e "/appVersionCode/d" build.gradle
      - sed -i -e "/@bugsnag\/react-native/d" -e "/bugsnag-sourcemaps/d" ../../package.json
    scanignore:
      - android/build.gradle
      - node_modules/hermes-engine
      - node_modules/jsc-android
      - node_modules/react-native
      - node_modules/detox/android/build.gradle
      - node_modules/detox/android/detox/detox-publishing.gradle
      - node_modules/sn-textview/android/build.gradle
      - node_modules/standard-notes-rn/android/build.gradle
      - node_modules/@react-native-community/async-storage/android/build.gradle
      - node_modules/@react-native-community/masked-view/android/build.gradle
    scandelete:
      - node_modules/
    build:
      - lib="$PWD/../../node_modules/react-native-sodium/libsodium"
      - target_sdk_version=`sed -n -E 's/.*targetSdkVersion = ([0-9]{1,2}).*/\1/p'
        ../build.gradle`
      - pushd $$libsodium$$
      - CC="$$NDK$$/toolchains/llvm/prebuilt/linux-x86_64/bin/armv7a-linux-androideabi${target_sdk_version}-clang"
        CFLAGS="-Os -fPIC -mfloat-abi=softfp -mfpu=vfpv3-d16 -mthumb -marm -march=armv7-a"
        ./configure --prefix=${lib}/libsodium-android-armv7-a/ --host=arm-linux-androideabi
      - make -j${nproc}
      - make install
      - make distclean
      - CC="$$NDK$$/toolchains/llvm/prebuilt/linux-x86_64/bin/aarch64-linux-android${target_sdk_version}-clang"
        CFLAGS="-fPIC -O2" ./configure --prefix=${lib}/libsodium-android-armv8-a/
        --host=aarch64-linux-android
      - make -j${nproc}
      - make install
      - make distclean
      - CC="$$NDK$$/toolchains/llvm/prebuilt/linux-x86_64/bin/i686-linux-android${target_sdk_version}-clang"
        CFLAGS="-fPIC -O2" ./configure --prefix=${lib}/libsodium-android-i686/ --host=i686-linux-android
      - make -j${nproc}
      - make install
      - make distclean
      - CC="$$NDK$$/toolchains/llvm/prebuilt/linux-x86_64/bin/x86_64-linux-android${target_sdk_version}-clang"
        CFLAGS="-fPIC -O2" ./configure --prefix=${lib}/libsodium-android-westmere/
        --host=x86_64-linux-android
      - make -j${nproc}
      - make install
      - popd
    ndk: r21e

  - versionName: 3.6.7
    versionCode: 3000277
    commit: 3.6.7
    subdir: android/app/
    sudo:
      - sysctl fs.inotify.max_user_watches=524288
      - curl -Lo node.tar.gz https://nodejs.org/dist/v14.16.0/node-v14.16.0-linux-x64.tar.gz
      - echo "7212031d7468718d7c8f5e1766380daaabe09d54611675338e7a88a97c3e31b6 node.tar.gz"
        | sha256sum -c -
      - tar xf node.tar.gz
      - cp -a node-v14.16.0-linux-x64/. /usr/local/
      - npm -g install yarn
    init:
      - cd ../..
      - yarn cache clean snjs
      - npm_config_build_from_source=true yarn --force
    patch:
      - bugsnag.patch
    gradle:
      - prod
    srclibs:
      - libsodium@1.0.18
    rm:
      - .gitmodules
    prebuild:
      - $ANDROID_HOME/tools/bin/sdkmanager 'cmake;3.10.2.4988404' > /dev/null
      - sed -i -e '/splits\ {/,+7d' -e '/detox/d' -e '/DETOX_CI/d' build.gradle
      - sed -i -e "s/versionName appVersionName/versionName \"$$VERSION$$\"/" -e "s/versionCode
        appVersionCode/versionCode $$VERCODE$$/" build.gradle
      - sed -i -e "/appVersionName/d" -e "/appVersionCode/d" build.gradle
      - sed -i -e "/@bugsnag\/react-native/d" -e "/bugsnag-sourcemaps/d" ../../package.json
    scanignore:
      - android/build.gradle
      - node_modules/hermes-engine
      - node_modules/jsc-android
      - node_modules/react-native
      - node_modules/detox/android/build.gradle
      - node_modules/detox/android/detox/detox-publishing.gradle
      - node_modules/sn-textview/android/build.gradle
      - node_modules/standard-notes-rn/android/build.gradle
      - node_modules/@react-native-community/async-storage/android/build.gradle
      - node_modules/@react-native-community/masked-view/android/build.gradle
    scandelete:
      - node_modules/
    build:
      - lib="$PWD/../../node_modules/react-native-sodium/libsodium"
      - target_sdk_version=`sed -n -E 's/.*targetSdkVersion = ([0-9]{1,2}).*/\1/p'
        ../build.gradle`
      - pushd $$libsodium$$
      - CC="$$NDK$$/toolchains/llvm/prebuilt/linux-x86_64/bin/armv7a-linux-androideabi${target_sdk_version}-clang"
        CFLAGS="-Os -fPIC -mfloat-abi=softfp -mfpu=vfpv3-d16 -mthumb -marm -march=armv7-a"
        ./configure --prefix=${lib}/libsodium-android-armv7-a/ --host=arm-linux-androideabi
      - make -j${nproc}
      - make install
      - make distclean
      - CC="$$NDK$$/toolchains/llvm/prebuilt/linux-x86_64/bin/aarch64-linux-android${target_sdk_version}-clang"
        CFLAGS="-fPIC -O2" ./configure --prefix=${lib}/libsodium-android-armv8-a/
        --host=aarch64-linux-android
      - make -j${nproc}
      - make install
      - make distclean
      - CC="$$NDK$$/toolchains/llvm/prebuilt/linux-x86_64/bin/i686-linux-android${target_sdk_version}-clang"
        CFLAGS="-fPIC -O2" ./configure --prefix=${lib}/libsodium-android-i686/ --host=i686-linux-android
      - make -j${nproc}
      - make install
      - make distclean
      - CC="$$NDK$$/toolchains/llvm/prebuilt/linux-x86_64/bin/x86_64-linux-android${target_sdk_version}-clang"
        CFLAGS="-fPIC -O2" ./configure --prefix=${lib}/libsodium-android-westmere/
        --host=x86_64-linux-android
      - make -j${nproc}
      - make install
      - popd
    ndk: r21e

  - versionName: 3.6.8
    versionCode: 3000278
    commit: 3.6.8
    subdir: android/app/
    sudo:
      - sysctl fs.inotify.max_user_watches=524288
      - curl -Lo node.tar.gz https://nodejs.org/dist/v14.16.0/node-v14.16.0-linux-x64.tar.gz
      - echo "7212031d7468718d7c8f5e1766380daaabe09d54611675338e7a88a97c3e31b6 node.tar.gz"
        | sha256sum -c -
      - tar xf node.tar.gz
      - cp -a node-v14.16.0-linux-x64/. /usr/local/
      - npm -g install yarn
    init:
      - cd ../..
      - yarn cache clean snjs
      - npm_config_build_from_source=true yarn --force
    patch:
      - bugsnag.patch
    gradle:
      - prod
    srclibs:
      - libsodium@1.0.18
    rm:
      - .gitmodules
    prebuild:
      - $ANDROID_HOME/tools/bin/sdkmanager 'cmake;3.10.2.4988404' > /dev/null
      - sed -i -e '/splits\ {/,+7d' -e '/detox/d' -e '/DETOX_CI/d' build.gradle
      - sed -i -e "s/versionName appVersionName/versionName \"$$VERSION$$\"/" -e "s/versionCode
        appVersionCode/versionCode $$VERCODE$$/" build.gradle
      - sed -i -e "/appVersionName/d" -e "/appVersionCode/d" build.gradle
      - sed -i -e "/@bugsnag\/react-native/d" -e "/bugsnag-sourcemaps/d" ../../package.json
    scanignore:
      - android/build.gradle
      - node_modules/hermes-engine
      - node_modules/jsc-android
      - node_modules/react-native
      - node_modules/detox/android/build.gradle
      - node_modules/detox/android/detox/detox-publishing.gradle
      - node_modules/sn-textview/android/build.gradle
      - node_modules/standard-notes-rn/android/build.gradle
      - node_modules/@react-native-community/async-storage/android/build.gradle
      - node_modules/@react-native-community/masked-view/android/build.gradle
    scandelete:
      - node_modules/
    build:
      - lib="$PWD/../../node_modules/react-native-sodium/libsodium"
      - target_sdk_version=`sed -n -E 's/.*targetSdkVersion = ([0-9]{1,2}).*/\1/p'
        ../build.gradle`
      - pushd $$libsodium$$
      - CC="$$NDK$$/toolchains/llvm/prebuilt/linux-x86_64/bin/armv7a-linux-androideabi${target_sdk_version}-clang"
        CFLAGS="-Os -fPIC -mfloat-abi=softfp -mfpu=vfpv3-d16 -mthumb -marm -march=armv7-a"
        ./configure --prefix=${lib}/libsodium-android-armv7-a/ --host=arm-linux-androideabi
      - make -j${nproc}
      - make install
      - make distclean
      - CC="$$NDK$$/toolchains/llvm/prebuilt/linux-x86_64/bin/aarch64-linux-android${target_sdk_version}-clang"
        CFLAGS="-fPIC -O2" ./configure --prefix=${lib}/libsodium-android-armv8-a/
        --host=aarch64-linux-android
      - make -j${nproc}
      - make install
      - make distclean
      - CC="$$NDK$$/toolchains/llvm/prebuilt/linux-x86_64/bin/i686-linux-android${target_sdk_version}-clang"
        CFLAGS="-fPIC -O2" ./configure --prefix=${lib}/libsodium-android-i686/ --host=i686-linux-android
      - make -j${nproc}
      - make install
      - make distclean
      - CC="$$NDK$$/toolchains/llvm/prebuilt/linux-x86_64/bin/x86_64-linux-android${target_sdk_version}-clang"
        CFLAGS="-fPIC -O2" ./configure --prefix=${lib}/libsodium-android-westmere/
        --host=x86_64-linux-android
      - make -j${nproc}
      - make install
      - popd
    ndk: r21e

AutoUpdateMode: Version %v
UpdateCheckMode: HTTP
VercodeOperation: 3000220 + %c
UpdateCheckData: https://github.com/standardnotes/mobile/actions/workflows/build-prod.yml|(\d+)\sworkflow\sruns|https://github.com/standardnotes/mobile/releases/latest|tree/([\d.]+)
CurrentVersion: 3.6.8
CurrentVersionCode: 3000278
